defmodule ExVideoFactory.Mixfile do
  use Mix.Project

  def project do
    [
      app: :ex_video_factory,
      version: "0.3.12",
      elixir: "~> 1.5",
      start_permanent: Mix.env() == :prod,
      deps: deps(),
      package: package(),
      description: description(),

      # Docs
      name: "ExVideoFactory",
      source_url: "https://github.com/FTV-Subtil/ex_video_factory",
      homepage_url: "https://github.com/FTV-Subtil/ex_video_factory",
      docs: [
        main: "ExVideoFactory",
        extras: ["README.md"]
      ]
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [
        :logger,
        :httpotion,
        :poison
      ]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:httpotion, "~> 3.1"},
      {:poison, "~> 3.1"},
      {:ex_doc, "~> 0.18", only: :dev, runtime: false}
    ]
  end

  defp description() do
    "Elixir library to consume the public part REST API of FranceTélévisions Video Factory."
  end

  defp package() do
    [
      name: "ex_video_factory",
      files: ["lib", "mix.exs", "README*", "LICENSE*"],
      maintainers: [
        "Marc-Antoine Arnaud",
        "Valentin Noël"
      ],
      licenses: ["MIT"],
      links: %{"GitHub" => "https://github.com/FTV-Subtil/ex_video_factory"}
    ]
  end
end
